<?php get_header(); ?>
<div id="main-container">
  <section id="maincontents">
    <input type="checkbox" id="check">
    <label for="check" class="button"> <span></span> <span></span> <span></span> </label>
    <?php
    wp_nav_menu( array(
      'theme_location' => 'main-menu'
    ) );
    ?>
    <main class="index" role="main">
      <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
      <article class="blogpost sa">
        <div class="post-img">
          <?php if( has_post_thumbnail() ): ?>
          <a href="<?php the_permalink() ?>">
          <?php the_post_thumbnail( 'thumbnail' ); ?>
          </a>
          <?php else: ?>
          <a href="<?php the_permalink() ?>"> <img src="<?php echo catch_that_image(); ?>"> </a>
          <?php endif; ?>
        </div>
        <!-- post-imgここまで -->
        
        <div class="post">
          <header>
            <time datetime="<?php echo get_the_date( 'F-j-Y' ); ?>"> <?php echo get_post_time('F j, Y'); ?>
              <?php if(get_post_time('F j, Y') != get_the_modified_date('Y/m/d')):?>
              (Last update:
              <?php the_modified_date('Y/m/d'); ?>
              )
              <?php endif;?>
            </time>
            <h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
              <?php the_title(); ?>
              </a></h1>
          </header>
          <?php echo mb_substr(strip_tags($post-> post_content),0,100).'...'; ?>
          <div class="readmore"><a href="<?php the_permalink(); ?>">Readmore</a></div>
        </div>
        <!-- postここまで --> 
        
      </article>
      <!-- blogpostここまで -->
      
      <?php endwhile; ?>
      <?php else: ?>
      
      <!-- article -->
      <article>
        <h2>
          <?php _e( 'Sorry, nothing to display.' ); ?>
        </h2>
      </article>
      <!-- /article -->
      
      <?php endif; ?>
    </main>
    <!-- mainここまで -->
    
    <nav class="pager">
      <?php
      global $wp_rewrite;
      $paginate_base = get_pagenum_link( 1 );
      if ( strpos( $paginate_base, '?' ) || !$wp_rewrite->using_permalinks() ) {
        $paginate_format = '';
        $paginate_base = add_query_arg( 'paged', '%#%' );
      } else {
        $paginate_format = ( substr( $paginate_base, -1, 1 ) == '/' ? '' : '/' ) .
        user_trailingslashit( 'page/%#%/', 'paged' );;
        $paginate_base .= '%_%';
      }
      echo paginate_links( array(
        'base' => $paginate_base,
        'format' => $paginate_format,
        'total' => $wp_query->max_num_pages,
        'mid_size' => 4,
        'current' => ( $paged ? $paged : 1 ),
        'prev_text' => '«',
        'next_text' => '»',
      ) );
      ?>
    </nav>
    <!-- pagerここまで --> 
    
  </section>
  <!--maincontentsここまで-->
  
  <?php get_sidebar(); ?>
</div>
<!--main-containerここまで-->

<?php get_footer(); ?>
