<?php get_header(); ?>
<div id="main-container">
  <section id="maincontents">
    <input type="checkbox" id="check">
    <label for="check" class="button"> <span></span> <span></span> <span></span> </label>
    <?php
    wp_nav_menu( array(
      'theme_location' => 'main-menu'
    ) );
    ?>
    <nav class="breadcrumb">
      <?php
      if ( function_exists( 'bcn_display' ) ) {
        bcn_display();
      }
      ?>
    </nav>
    <main class="single" role="main">
      <?php if(have_posts()): the_post(); ?>
      <article class="blogpost">
        <div class="post">
          <header>
            <time datetime="<?php echo get_the_date( 'F-j-Y' ); ?>"> <?php echo get_post_time('F j, Y'); ?>
              <?php if(get_post_time('F j, Y') != get_the_modified_date('Y/m/d')):?>
              (Last update:
              <?php the_modified_date('Y/m/d'); ?>
              )
              <?php endif;?>
            </time>
            <h1 class="entry-title">
              <?php the_title(); ?>
            </h1>
          </header>
          <?php the_content(); ?>
        </div>
        <!-- postここまで -->
        
        <?php get_template_part('related'); ?>
        <?php get_template_part('author'); ?>
        <footer class="info"> <img style="vertical-align:middle;" src="https://icongr.am/clarity/folder-open.svg?size=13&color=333333">
          <?php
          $categories = get_the_category();
          $separator = ' ';
          $output = '';
          if ( $categories ) {
            foreach ( $categories as $category ) {
              $output .= '<a href="' . get_category_link( $category->term_id ) . '" title="'
              . esc_attr( sprintf( __( "View all posts in %s" ), $category->name ) )
                . '">' . $category->cat_name . '</a>' . $separator;
            }
            echo trim( $output, $separator );
          }
          ?>
          <br>
          <img style="vertical-align:middle;" src="https://icongr.am/clarity/tag.svg?size=13&color=333333">
          <?php the_tags(''); ?>
          <br>
        </footer>
        <!-- infoここまで --> 
        
      </article>
      <!-- blogpostここまで -->
      
      <nav class="postnav">
        <?php $nextpost = get_adjacent_post(false, '', false); if ($nextpost) : ?>
        <p class="next"> <a href="<?php echo get_permalink($nextpost->ID); ?>"> <span class="next-img"> <img src="<?php echo catch_that_images(); ?>"> </span> <span class="next-title"><?php echo esc_attr($nextpost->post_title); ?></span> </a> </p>
        <?php endif; ?>
        <?php $prevpost = get_adjacent_post(false, '', true); if ($prevpost) : ?>
        <p class="prev"> <a href="<?php echo get_permalink($prevpost->ID); ?>"> <span class="prev-img"> <img src="<?php echo catch_that_imagess(); ?>"> </span> <span class="prev-title"><?php echo esc_attr($prevpost->post_title); ?></span> </a> </p>
        <?php endif; ?>
      </nav>
      <?php comments_template(); ?>
      <?php endif; ?>
    </main>
  </section>
  <!--maincontentsここまで-->
  
  <?php get_sidebar(); ?>
</div>
<!--main-containerここまで-->

<?php get_footer(); ?>
